package org.gcube.application.geoportal.service.model.internal.rest;

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

import org.gcube.application.geoportal.model.content.AssociatedContent;

import lombok.Data;

@XmlRootElement
@Data
public class AddSectionToConcessioneRequest {

	public static enum Section{
		RELAZIONE,UPLOADED_IMG,PIANTA,POSIZIONAMENTO,OTHER
	}
	
	@XmlRootElement
	@Data
	public static class SHUBFileDescriptor {
		private String filename;
		private String shubID;
	}
	
	
	private Section section;
	private AssociatedContent toRegister;
	private List<SHUBFileDescriptor> streams;

}
